Skip to main content

Blockchain Integration Data Query Apis Protocol Rest Queries Fees (v1.0.0)

Download OpenAPI specification:Download

API Documentation for Blockchain Integration Data Query Apis Protocol Rest Queries Fees

CommunityPool

CommunityPool queries the community pool coins.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "pool": [
    ]
}

CalculateTxFees

CalculateTxFees simulates executing a transaction for estimating gas usage and additional fees. Deprecated: This query is deprecated. It is replaced by the CalculateTxFees query in the x/flatfees module. This query endpoint will be removed in a future release.

Authorizations:
bearerAuth
Request Body schema: application/json
required
txBytes
string <byte> (tx_bytes)

tx_bytes is the transaction to simulate. (proto bytes)

defaultBaseDenom
string (default_base_denom)

default_base_denom used to be the denom used for gas fees. Deprecated: This field is now ignored. The fees will be in the appropriate denomination(s) automatically. (proto string)

gasAdjustment
number <float> (gas_adjustment)

gas_adjustment is the adjustment factor to be multiplied against the estimate gas returned by the tx simulation. This only affects the returned gas (since the fee is flat). (proto float)

Responses

Request samples

Content type
application/json
{
  • "txBytes": "string",
  • "defaultBaseDenom": "string",
  • "gasAdjustment": 0.1
}

Response samples

Content type
application/json
{
  • "additionalFees": [
    ],
  • "totalFees": [
    ],
  • "estimatedGas": 0
}